Package org.eclipse.emf.cdo.common.util

## Class CountedTimeProvider

- java.lang.Object
- - org.eclipse.emf.cdo.common.util.CountedTimeProvider

- All Implemented Interfaces:
    `CDOTimeProvider`

      public final class CountedTimeProvider
      extends java.lang.Object
      implements CDOTimeProvider

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CountedTimeProvider()` |
    `CountedTimeProvider​(long initialValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getTimeStamp()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountedTimeProvider

          public CountedTimeProvider()

    - #### CountedTimeProvider

          public CountedTimeProvider​(long initialValue)

  - ### Method Detail

    - #### getTimeStamp

          public long getTimeStamp()

      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`